﻿namespace ProjectStormTrooper.Entities;


public class EntityStormTrooper : EntityWarPlane
{

    /// <summary>
    /// Дополнительный цвет (для опциональных элементов)
    /// </summary>

    public Color AdditionalColor { get; private set; }

    /// <summary>
    /// Признак (опция) наличия бомб
    /// </summary>

    public bool Bombs { get; private set; }

    /// <summary>
    /// Признак (опция) наличия ракет
    /// </summary>

    public bool Rockets { get; private set; }





    /// <summary>
    /// Инициализация полей объекта-класса штурмовика
    /// </summary>
    /// <param name="speed">Скорость</param>
    /// <param name="weight">Вес штурмовика</param>
    /// <param name="bodyColor">Основной цвет</param>
    /// <param name="additionalColor">Дополнительный цвет</param>
    /// <param name="bombs">Признак наличия бомб</param>
    /// <param name="rockets">Признак наличия ракет</param>

    public EntityStormTrooper(int speed, double weight, Color bodyColor, Color colorOfHead, Color additionalColor, bool bombs, bool rockets) : base(speed, weight, bodyColor, colorOfHead)
    {
  
        AdditionalColor = additionalColor;
        Bombs = bombs;
        Rockets = rockets;

    }
}